freemarker.core

## Class TemplateValueFormat

- java.lang.Object
- - freemarker.core.TemplateValueFormat

Direct Known Subclasses:
  TemplateDateFormat, TemplateNumberFormat

    public abstract class TemplateValueFormat
    extends Object

Superclass of all value format objects; objects that convert values to strings, or parse strings.

Since:
  2.3.24

### Constructor Summary

Constructors
Constructor and Description
`TemplateValueFormat()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract String` `getDescription()` Meant to be used in error messages to tell what format the parsed string didn't fit.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TemplateValueFormat

    public TemplateValueFormat()

### Method Detail

#### getDescription

    public abstract String getDescription()

Meant to be used in error messages to tell what format the parsed string didn't fit.